Subject: [Sigtran] m2ua: SG<->SG interoperation

From: "flash view" <[email-masked]>
Date: Mon, 6 Aug 2007 18:43:30 +0300

Hello,

I've not
found any information in RFC3331 that M2UA can be used in SG<->SG scheme. But
in RFC2719, 3.5. SG to SG Case 2 there is a figure of SG<->SG scheme, where
the endpoints are both SS7 SEPs.

Can M2UA be *SIG* in RFC2719, 3.5. SG to SG Case 2?

Andriy Melnyk.
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 6 Aug 2007 17:31:16 -0600

flash,

No. Use M2PA (RFC 4165).

--brian

flash view wrote:                                 (Mon, 06 Aug 2007 18:43:30)
> 
>    Hello,
>    I've not
>    found any information in RFC3331 that M2UA can be used in SG<->SG sche
>    me. But   in   RFC2719, 3.5.   SG  to  SG Case  2 there is a figure of
>    SG<->SG scheme, where the endpoints are both SS7 SEPs.
>    Can M2UA be SIG in RFC2719, 3.5. SG to SG Case 2?
>    Andriy Melnyk.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 6 Aug 2007 21:10:23 -0600

fan.dongming,

[email-masked] wrote:                                (Tue, 07 Aug 2007 08:54:56)
> 
>    Sua RFC3868£º
>    3.10.1.  SS7 Hop counter
>       SS7 Hop Counter (3.18/Q.713)
>        The  value  of the SS7 Hop Counter is decremented with each global
>    title translation and is in the range 15 to 1.
>    I  find Q714 only metions the hop counter decremented  when receipt of
>    SCCP messages transfered by the MTP:
>     Receipt of SCCP messages transferred by the MTP
>     The SCCP Hop Counter (if present) is decremented and if a Hop Counter
>    violation is   encountered (i.e. the value zero is reached), then....
>    So My Questions are:
>    1)Hop  Counter will be only decremented when GT transfering,and in the
>    initial signal point,SCCP recieve message from user and translates the
>    GT  and  send  message  to  next  signal  point,hop  Counter  will not
>    decremented and set 15.Is this right?

Yes and no.  The count is not decremented by the originating node, it is _set_
by the originating node.  (Note that this is true also for the relay node
where there is coupling of connection sections, the relay node _sets_ the hop
counter for the next connection section.)  The count is also not decremented
when the node performs successive global title translations within the same
node.  The node is responsible for detecting loops in its own tables and does
not need the hop counter to do so.  Hop counter is for loops between nodes,
not for loops within a node's own tables.

>    2)At   one  signal  point,after  GT  translating,the  hop  counter  is
>    decremented  to 0 and translating result is DPC+SSN,should the message
>    be  sent  to  next  signal point with hop counter valued 0? and if the
>    result  is local signal point and the  hop counter is decremented to 0
>    after the GT translating,should violation happen?

Check the SDLs in Q.714: the count is decremented _before_ GTT is performed
and action taken if the count decrements to zero.  So, there is no GTT result
at this point.  A message is never sent with a hop count of zero: it is a
protocol violation.  The hop count must be in the range from 1 to 15
inclusive.  Zero appearing in the parameter within a message is an immediate
hop counter violation.

>    Thanks alot for your answer.

But all this is SS7.  SUA does not differ in this regard with the exception
that routing on IP Hostname is treated the same as "Route on GT" for the
purpose of decrementing the hop counter.

-- brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "emmanuel mavrommatis" <[email-masked]>
Date: Tue, 7 Aug 2007 13:22:50 +0100

Hi Brian,

In RFC 2719, 3.5 case 2, there is no MTP3 involved in the functionality of
SG's. How can M2PA be used here? And why not M2UA?

Thanks,
Emmanuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Aug 2007 08:03:50 -0600

emmanuel,

Because M2PA is a peer-to-peer protocol as shown in
the diagram, whereas M2UA is client-server (AS-SG).

--brian

emmanuel mavrommatis wrote:                  (Tue, 07 Aug 2007 13:22:50)
> 
>    Hi Brian,
>    In   RFC  2719,  3.5  case  2,  there  is  no  MTP3  involved  in  the
>    functionality of SG's. How can M2PA be used here? And why not M2UA?
>    Thanks,
>    Emmanuel

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "emmanuel mavrommatis" <[email-masked]>
Date: Tue, 7 Aug 2007 16:08:00 +0100

Brian,

Would it be possible to further clarify? In RFC 2719, 3.5 case 1, does SG2
imply an ASP? Shouldn't MTP3 be shown in case 2, in both SG's?

Thanks,
Emmanuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Aug 2007 09:27:47 -0600

emmanuel,

There is no concept of an ASP in M2PA.

--brian

emmanuel mavrommatis wrote:                                      (Tue, 07 Aug 2007 16:08:00)
> 
>    Brian,
>    Would it be possible to further clarify? In RFC 2719, 3.5 case 1, does
>    SG2 imply an ASP? Shouldn't MTP3 be shown in case 2, in both SG's?
>    Thanks,
>    Emmanuel
> 
>    On 8/7/07, Brian F. G. Bidulock <[1][email-masked]> wrote:
> 
>      emmanuel,
>      >    In
>      RFC  2719,  3.5  case  2,  there  is  no  MTP3  involved  in  the
>      [2][email-masked]
>      [3]http://www.openss7.org/
> 
> References
> 
>    1. mailto:[email-masked]
>    2. mailto:[email-masked]
>    3. http://www.openss7.org/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "emmanuel mavrommatis" <[email-masked]>
Date: Tue, 7 Aug 2007 16:40:22 +0100

Brian,

I am talking about RFC 2719, 3.5 case 1 NOT 2, where SG1-----SG2. Is SG2 an
ASP? What we should use there? Can we use M2UA here (case 1)??

Thanks,
Emmanuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 7 Aug 2007 10:25:01 -0600

emmanuel,

As below, SG1 to SG2 is M2UA.  SG2 to MGC is M3UA.

--brian

            ******  SS7  ******   IP     ******  IP   ******
            *SEP *-------* SG1*----------* SG2*-------*MGC *
            ******       ******          ******       ******

            +----+                                    +----+
            |S7UP|                                    |S7UP|
            +----+                     +----+----+    +----+
            |MTP3|                     |MTP3|    |    |    |
            +----+    +---------+      +----+ SIG|    |SIG |
            |MTP2|    |MTP2|SIG |      |SIG |    |    |    |
            +    +    +    +----+ M2UA +----+----+M3UA+----+
            |    |    |    | IP |      |   IP    |    | IP |
            +----+    +----+----+      +----+----+    +----+

            S7UP - SS7 User Part

                      Figure 10: SG to SG Case 1

emmanuel mavrommatis wrote:                         (Tue, 07 Aug 2007 16:40:22)
> 
>    Brian,
>    I  am  talking about RFC 2719, 3.5 case 1 NOT 2, where SG1-----SG2. Is
>    SG2 an ASP? What we should use there? Can we use M2UA here (case 1)??
>    Thanks,
>    Emmanuel
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/